## geditor 0.1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all:

install:
	# Directories with standard file permissions
	$(INSTALL) -d $(DESTDIR)/etc
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) -d $(DESTDIR)/usr/share/applications
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man5
	# Files
	# Executables
	$(INSTALL) src/usr/bin/* $(DESTDIR)/usr/bin
	# Configuration files
	$(INSTALL) -m 644 src/etc/* $(DESTDIR)/etc
	# Desktop files
	$(INSTALL) -m 644 src/usr/share/applications/* $(DESTDIR)/usr/share/applications
	# Manual pages
	$(INSTALL) -m 644 src/usr/share/man/man1/* $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -m 644 src/usr/share/man/man5/* $(DESTDIR)/usr/share/man/man5

clean:

=== debian/changelog ===
geditor (0.1) unstable; urgency=medium

  * [8e1a3c0] Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 04 Feb 2023 17:42:57 +0100

=== debian/control ===
Source: geditor
Section: editors
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
#Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/olde
#Vcs-Git: https://salsa.debian.org/debian/olde.git

Package: geditor
Architecture: all
Depends: nano | editor, twrap, ${misc:Depends}
Description: Wrapper script to run a console text editor in a terminal
 geditor is a simple shell script which runs a console text editor in a
 terminal, as a means to provide lightweight desktop environments a way to open
 text files from a file manager, or offer a text editor in their menus, without
 actually depending on heavyweight graphical editors like gedit, kedit or pluma.
 .
 The actual editor and terminal to use can be configured system-wide and
 per-user, the default being Debian "editor" and "x-terminal-emulator"
 alternatives, respectively.
